# Checkbox : VisualElement
The Checkbox is a visual element that can be checked.

## Properties

|Property|Type|Default|Description|
|---|---|---|---|
|checked|boolean|Whether|checkbox is checked
|text|string|empty|Text to display
|checkedText|string|Text|when checked
|autoSize|boolean|true|Whether to automatically size the checkbox


## Protected Functions

|Method|Returns|Description|
|---|---|---|
|Checkbox.new|Checkbox|Creates a new Checkbox instance
|Checkbox:init|-|Initializes the Checkbox instance
|Checkbox:mouse_click|boolean|Handles mouse click events
|Checkbox:render|-|Renders the Checkbox


